### File

`packages/components/eui-avatar/avatar-badge/avatar-badge.component.ts`

### Description

Component representing an avatar badge. This badge can be positioned at the top or bottom of the avatar and is used to display additional information or status indicators.

The component uses content projection to allow any content to be displayed inside the badge.

Example :

    <eui-avatar>
        <eui-avatar-text>eUI</eui-avatar-text>
        <eui-avatar-badge>
            <eui-badge euiDanger euiSizeS>7</eui-badge>
        </eui-avatar-badge>
    </eui-avatar>

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
host | `{ }`
selector | `eui-avatar-badge`
template |
    <ng-content/>
styleUrl | `./avatar-badge.scss`

### Index

###### Methods
Public cssClasses
###### Inputs
isPositionBottom

### Inputs

isPositionBottom
Type : `boolean`
Default value : `false`
Whether the avatar should have a shadow effect

### Methods

Public cssClasses
`cssClasses()`
Gets the CSS classes to be applied to the host element. Combines the base class with a modifier class based on the position. Returns : `string` The combined CSS classes.

# results matching ""

# No results matching ""